# Generated by Django 4.1.7 on 2023-03-14 22:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('Base', '0003_stat_character_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='AttributeStat',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('attack', models.IntegerField()),
                ('defense', models.IntegerField()),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='attributes', to='Base.stat')),
            ],
        ),
    ]
